🚀 New: Edit Shoppex themes from the dashboard, the CLI, or an AI agent — one unified workflow. Learn more →
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/resellers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "AFFILIATE",
"custom_commission_percent": 123,
"custom_wholesale_discount_percent": 123,
"purchase_limit_daily": 123,
"purchase_limit_monthly": 123,
"product_ids": [
"<string>"
],
"product_access": [
{
"product_id": "<string>",
"commission_percent_override": 123,
"wholesale_price_override": 123,
"min_quantity": 123,
"max_quantity": 123
}
]
}
'{
"data": {}
}Developer API operation for PATCH /dev/v1/resellers/.
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/resellers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "AFFILIATE",
"custom_commission_percent": 123,
"custom_wholesale_discount_percent": 123,
"purchase_limit_daily": 123,
"purchase_limit_monthly": 123,
"product_ids": [
"<string>"
],
"product_access": [
{
"product_id": "<string>",
"commission_percent_override": 123,
"wholesale_price_override": 123,
"min_quantity": 123,
"max_quantity": 123
}
]
}
'{
"data": {}
}Use your Shoppex API key in the Authorization header.
AFFILIATE Show child attributes
Successful response